package org.rhq.plugins.excelreader;

import java.util.Set;

import org.rhq.core.domain.measurement.AvailabilityType;
import org.rhq.core.domain.measurement.MeasurementDataNumeric;
import org.rhq.core.domain.measurement.MeasurementReport;
import org.rhq.core.domain.measurement.MeasurementScheduleRequest;
import org.rhq.core.pluginapi.inventory.InvalidPluginConfigurationException;
import org.rhq.core.pluginapi.inventory.ResourceComponent;
import org.rhq.core.pluginapi.inventory.ResourceContext;
import org.rhq.core.pluginapi.measurement.MeasurementFacet;

public class ExcelReaderComponent implements ResourceComponent, MeasurementFacet {

	long validUser;
	long invalidUser;
	long validEmail;
	long invalidEmail;

	public AvailabilityType getAvailability()
	{
		if(false)
		{
			return AvailabilityType.DOWN;
		}
		return AvailabilityType.UP;
	}

	public void start(ResourceContext context) throws InvalidPluginConfigurationException, Exception
	{
		validUser		=	15;
		invalidUser		=	5;
		validEmail		=	48;
		invalidEmail	=	2;
	}

	public void stop() {}

	public void getValues(MeasurementReport report, Set<MeasurementScheduleRequest> metrics) throws Exception {

		for(MeasurementScheduleRequest request : metrics)
		{
			if(request.getName().equals("validLogin"))
			{
				report.addData(new MeasurementDataNumeric(request,new Double(validUser)));
			}
			if(request.getName().equals("invalidLogin"))
			{
				report.addData(new MeasurementDataNumeric(request,new Double(invalidUser)));
			}
			if(request.getName().equals("validEmails"))
			{
				report.addData(new MeasurementDataNumeric(request, new Double(validEmail)));
			}
			if(request.getName().equals("invalidEmails"))
			{
				report.addData(new MeasurementDataNumeric(request, new Double(invalidEmail)));
			}
		}
	}
}